## org.biojava.utils
Class NestedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.biojava.utils.NestedRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BioRuntimeException

public class NestedRuntimeException
extends java.lang.RuntimeException

A general perpose RuntimeException that can wrap another exception.

In BioJava, checked exceptions are generally preferred to RuntimeExceptions, but RuntimeExceptions can be used as a fall-back if you are implementing an interface which doesn't support checked exceptions. If you do this, please document this clearly in the implementing class.

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Constructor Summary
`NestedRuntimeException()`
`NestedRuntimeException(java.lang.String message)`
`NestedRuntimeException(java.lang.Throwable ex)`
`NestedRuntimeException(java.lang.Throwable ex, java.lang.String message)`

Method Summary
`void` `printStackTrace()`
`void` `printStackTrace(java.io.PrintStream ps)`
`void` `printStackTrace(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedRuntimeException

    public NestedRuntimeException(java.lang.String message)

### NestedRuntimeException

    public NestedRuntimeException(java.lang.Throwable ex)

### NestedRuntimeException

    public NestedRuntimeException(java.lang.Throwable ex,
                                  java.lang.String message)

### NestedRuntimeException

    public NestedRuntimeException()

Method Detail

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)